package com.reptileclient.jlifeapp.service;

import cn.hutool.core.date.DateTime;

import java.util.Date;
import java.util.List;

/**
 * @author fuxubing
 */
public interface HmPaymentOrderService {
    /**
     * 新增盒马服务付款单
     *
     * @return
     */
    int addPaymentOrderList(DateTime startTime) throws InterruptedException;

    /**
     * 根据支付订单号获取手机号
     * @param paymentNo
     * @return
     */
    String findPhoneByPayment(String paymentNo);


    /**
     * 通过用户手机一键同步盒马服务付款单数据
     *
     * @param phone
     * @return
     */
    int syncHmPaymentOrderByPhone(String phone);

    /**
     * 根据时间去重
     *
     * @param dateTime
     * @return
     */
    int deleteDistinctData(DateTime dateTime);

    /**
     * 更新盒马服务付款单
     *
     * @return
     */
    int updatePaymentOrderList();

    int updatePaymentOrderList2(DateTime startTime,DateTime endTime);

    /**
     * 修复付款单状态为：已取消
     * @return
     */
    int updatePaymentOrderCancelOrder();

    /**
     * 根据支付单号更新支付单
     *
     * @param paymentNo
     * @param stationCode
     * @return
     */
    int updateByPaymentNo(String paymentNo, String stationCode);


    int update15(DateTime startTime,DateTime endTime);
}
